Bug 1051237 - SysTrayicon invisible
Summary: SysTrayicon invisible
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: http://www.thewildbeast.co.uk/claws-m...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 21:59 UTC by Aram Agajanian
Modified: 2015-06-29 14:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:18:20 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot of message tray with invisible icon (139.27 KB, image/png)
2014-01-09 22:02 UTC, Aram Agajanian
no flags Details

Description Aram Agajanian 2014-01-09 21:59:18 UTC
Description of problem:
If I load the Notification plugin and enable the SysTrayicon in Preferences, I expect to see notifications of incoming email messages.

However, I am not seeing any notifications.  Also, the icon for Claws Mail in the message tray is invisible.

Version-Release number of selected component (if applicable):
claws-mail-plugins-notification-3.9.2-7.fc20.x86_64

How reproducible:
Happens every time.

Steps to Reproduce:
1. Make sure that claws-mail-plugins-notification is installed.
2. Load it with the "Plugins..." menu option.
3. Set Enable Trayicon option in preferences.
4. Send your self an email from your favorite webmail.

Actual results:
The icon for Claws mail in the message tray is invisible.  (There is a space from it and you can bring up a contextual menu, but there is no visible icon.)  No notification is made when an email arrives.

Expected results:
The icon for Claws Mail in the message tray should be visible.  You should receive a notification message in the message tray.

Comment 1 Aram Agajanian 2014-01-09 22:02:23 UTC
Created attachment 847845 [details]
Screenshot of message tray with invisible icon

Comment 2 Michael Schwendt 2014-01-09 22:25:16 UTC
Can you reproduce with Claws Mail 3.9.3, which has been in the updates-testing repo for some time and currently is on its way into the updates repo?
https://admin.fedoraproject.org/updates/FEDORA-2013-23551

Comment 3 Aram Agajanian 2014-01-09 23:05:36 UTC
The problems persist with the following packages installed:

claws-mail.x86_64                            3.9.3-1.fc20      @updates-testing
claws-mail-plugins-fancy.x86_64              3.9.3-1.fc20      @updates-testing
claws-mail-plugins-notification.x86_64       3.9.3-1.fc20      @updates-testing

One other thing that I have noticed:

When I click on the invisible icon in the message tray, the Claws Mail window disappears and the icon in the GNOME Shell Dash is no longer highlighted.  However, the invisible icon stays in the message tray.  If I click on the invisible icon again, then the window reappears and the icon in the Dash is again highlighted.

Comment 4 Michael Schwendt 2014-01-10 00:05:44 UTC
Yeah, it takes some time to reproduce it.

Initially, when loading and enabling the plugin, the icon appears. When restarting Claws Mail, the icon does not always disappear. When restarting GNOME Shell via Alt+F2 r<Enter>, the icon reappears.

I've located a ticket in the upstream tracker, too:
http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2499

Comment 5 Michael Schwendt 2014-01-10 16:00:00 UTC
I think this is a bug in GNOME Shell for several reasons.

First of all, there are other tickets in bugzilla that refer to similar problems with other applications.

Secondly, I've debugged Claws Mail code, and the problem is specific to its 16x16 XPM icons when used in the GNOME Shell notification area. The same code also provides icons for the rest of the application. Hardcoding a larger icon or replacing Claws Mail src/pixmaps/tray* with 64x64 pixmaps makes the problem disappear.

Since there are multiple tickets for gnome-shell (as well as affected programs) about issues with tray icons, I dunno whether there is one that is collecting duplicates.

Comment 6 Fedora End Of Life 2015-05-29 10:24:57 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 14:18:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.